Adjust warehouse product item attributes and quantity

​

Path Parameters

Body·

application/json
  • The product attributes to apply to the inventory product. Optional.

    Properties: 2
  • The batch to apply to the inventory product.

  • The best before date to apply to the inventory product.

  • The expiry date to apply to the inventory product.

  • The packaging date to apply to the inventory product.

  • The particulars of the adjustment.

  • The production date to apply to the inventory product.

  • The quantity to move to the new attributes.

  • The sell by date to apply to the inventory product.

Responses

  • OK

Request Example for post/v1/inventory-items/{warehouseProductItemId}/adjust-attributes
curl https://api.consignlyhq.com/v1/inventory-items/123e4567-e89b-12d3-a456-426614174000/adjust-attributes \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "attributes": [
    {
      "productAttributeId": "",
      "description": null
    }
  ],
  "quantityToAdjust": 1,
  "particulars": null
}'
No Body